# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/allwinner,sun4i-a10-mdio.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner A10 MDIO Controller Device Tree Bindings

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Maxime Ripard <mripard@kernel.org>

allOf:
  - $ref: "mdio.yaml#"

# Select every compatible, including the deprecated ones. This way, we
# will be able to report a warning when we have that compatible, since
# we will validate the node thanks to the select, but won't report it
# as a valid value in the compatible property description
select:
  properties:
    compatible:
      enum:
        - allwinner,sun4i-a10-mdio

        # Deprecated
        - allwinner,sun4i-mdio

  required:
    - compatible

properties:
  "#address-cells":
    const: 1

  "#size-cells":
    const: 0

  compatible:
    const: allwinner,sun4i-a10-mdio

  reg:
    maxItems: 1

  phy-supply:
    description: PHY regulator

required:
  - compatible
  - reg

unevaluatedProperties: false

examples:
  - |
    mdio@1c0b080 {
        compatible = "allwinner,sun4i-a10-mdio";
        reg = <0x01c0b080 0x14>;
        #address-cells = <1>;
        #size-cells = <0>;
        phy-supply = <&reg_emac_3v3>;

        phy0: ethernet-phy@0 {
            reg = <0>;
        };
    };

...
